Bug 1053755 - Change the name of the disk clone as well when changing the name of the clone
Summary: Change the name of the disk clone as well when changing the name of the clone
Keywords:
Status: CLOSED INSUFFICIENT_DATA
Alias: None
Product: Virtualization Tools
Classification: Community
Component: virt-manager
Version: unspecified
Hardware: All
OS: All
unspecified
low
Target Milestone: ---
Assignee: Cole Robinson
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-01-15 17:45 UTC by Christian Berendt
Modified: 2014-02-25 16:35 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Enhancement
Doc Text:
Feature: When changing the name of the clone, for example to "testing0002" the filename of the cloned storage should be changed to /var/lib/libvirt/images/tesitng0002.vmdk. Reason: Filename of cloned storage should be the same as the initial name of the clone. Result (if any): When changing the name of the clone, for example to "testing0002" the filename of the cloned storage should be changed to /var/lib/libvirt/images/tesitng0002.vmdk.
Clone Of:
Environment:
Last Closed: 2014-02-25 16:35:53 UTC


Attachments (Terms of Use)

Description Christian Berendt 2014-01-15 17:45:40 UTC
When initiating a clone of an existing virtual machine then the name of the cloned storage is the same as the initial name of the clone.

For example:

name of clone: testing0001-clone
filename of cloned storage: /var/lib/libvirt/images/tesitng0001-clone.vmdk

At the moment the filename doesn't change after changing the name of the clone. Setting the name to "testing0002" at the moment results in the filename "/var/lib/libvirt/images/tesitng0001-clone.vmdk".

When changing the name of the clone, for example to "testing0002" the filename of the cloned storage should be changed to /var/lib/libvirt/images/tesitng0002.vmdk. 

Please tag this one as a feature request. Not sure how to do this.

Comment 1 Cole Robinson 2014-02-01 14:32:13 UTC
Do you mean changing the name of the VM after it has been created? (like, vm details->overview->name->apply), or changing the name of the VM in the 'clone VM' wizard?

The first bit does not work, and I don't think we will ever do that, it's too much of a pain, and we would need to prompt the users if that's what they wanted, etc.

The second bit seems to work fine for me.

Can you provide virt-manager --debug output when reproducing?

Comment 2 Cole Robinson 2014-02-25 16:35:53 UTC
Closing as INSUFFICIENT_DATA, if this is still an issue please see comment #1 before reopening


Note You need to log in before you can comment on or make changes to this bug.